{% extends '::base.html.twig' %}

{% block title %}Gastos de envío{% endblock title %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
  <style>

    .genv_activo{
      background-color: #57C357;
      font-size: 16px;
      font-weight: 600;
      color: #FFFFFF;
    }

    .genv_inactivo{
      background-color: #DDA32D;
      font-size: 16px;
      font-weight: 600;
      color: #FFFFFF;
    }


  </style>
{% endblock %}

{% block body -%}
<div class="container generalContainer" id="pf_opmenu">

    <h1>Gastos de Envío</h1>
            <br />
            <a type="button" class="btn btn-primary" href="{{ path('gastosenvio_new') }}">
                Crear Gasto de Envío
            </a>
			<br />
			<br />
    <table id="gastos" class="table table-bordered table-condensed">
        <thead class="head_table">
            <tr>
				        <th>Tipo Pagos</th>
                <th>Precio</th>
                <th>Estatus</th>
                <th style="width: 100px !important;">Habilitar/Deshabilitar</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            <tr>
				        <td>{{ entity.tipoPago.descripcion }}</td>
                <td>$ {{ entity.precio }}</td>
                {% if entity.activo == 1 %}
                    <td style="text-align: center;" class="genv_activo" >Habilitado</td>
                {% else %}
                    <td style="text-align: center;" class="genv_inactivo" >Deshabilitado</td>
                {% endif %}

                <td align="center" >
                  <input {{ entity.activo == 1 ? 'checked' }} type="checkbox" style="width: 30px;height:30px;" name="estado{{ entity.idGastosEnvio }}" onchange="actualizar({{ entity.idGastosEnvio }}, this);"/>
                </td>
                
            </tr>
        {% endfor %}
        </tbody>
    </table>
	</div>
    {% endblock %}
	
		{% block javascripts %}

<script type="text/javascript">  
  $(document).ready(function() {
    $('#gastos').dataTable({
		"language":DataTables.languaje.es                    
			   			});


      $( "select" ).addClass( "form-control" );
      $( "input[type='text']" ).addClass( "form-control" );
      $( "input[type='search']").addClass( "form-control" );
      $( "#gastos_length" ).addClass( "form-inline" );
      $( "#gastos_filter" ).addClass( "form-inline" );
                


} );

  var urlActualizar = "{{path('_ActualizarGastosEnvio')}}"; 

  function actualizar(idGastosEnvio, self){
  showLoading('Actualizando');
  $.post(urlActualizar, {idGastosEnvio:idGastosEnvio,valor:self.checked}, function(data, textStatus, xhr) {
     /*optional stuff to do after success */
     if (data.estado==1){

     location.reload(true);
      /*alert("Se actulizo el estado del gasto de envio");*/
     }
     else{
     hideLoading();
     alert(data.mensaje);
     }  
    });
    }
</script>
{% endblock %}
